Problem compiling apache: libtinfo.so on SCO Openserver 5

Problem compiling apache: libtinfo.so on SCO Openserver 5

Post by Andrew Shik » Fri, 22 Mar 2002 05:42:36



Greetings

I have a problem compiling apache on SCO OpenServer 5.0.5. The configure
script cannot find the -ltinfo library. I searched the whole filesystem for
libtinfo.* and found nothing! What does this library do? Can I compile
apache without it?
Where can I get it? I am using the SCO /Unixware Development Kit

Thanks in advanace

Drew

--
--------------------------------------------------------------------
As Giuseppi Cocconi and Philip Morrison stated four decades ago,
"the probability of success is difficult to estimate,but if we
 never search, the chance of success is zero."
nickName: drew
     Web: http://www.bcit.co.za

    cell: (+27)(83)-708-7421

 
 
 

Problem compiling apache: libtinfo.so on SCO Openserver 5

Post by ger.. » Fri, 22 Mar 2002 01:11:39




Quote:> Greetings

> I have a problem compiling apache on SCO OpenServer 5.0.5. The configure
> script cannot find the -ltinfo library. I searched the whole filesystem for
> libtinfo.* and found nothing! What does this library do? Can I compile
> apache without it?
> Where can I get it? I am using the SCO /Unixware Development Kit

Looks like a library that comes with ncurses. Why configure thinks you
need it beyond me. Try skunkworks and Google if you must have it.
Seems unlikely.

 
 
 

Problem compiling apache: libtinfo.so on SCO Openserver 5

Post by Roberto Zin » Fri, 22 Mar 2002 17:04:55



> Greetings

> I have a problem compiling apache on SCO OpenServer 5.0.5. The configure
> script cannot find the -ltinfo library. I searched the whole filesystem for
> libtinfo.* and found nothing! What does this library do? Can I compile
> apache without it?
> Where can I get it? I am using the SCO /Unixware Development Kit

> Thanks in advanace

> Drew

Hi !

Please do yourself a favour and grab the latest Apache binarier from
Caldera's Skunkware:

  ftp://ftp2.caldera.com/pub/skunkware/osr5/vols/apache-1.3.23-VOLS.tar
    - Latest release of the Apache web server including version
      2.8.7-1.3.23 of mod_ssl

  ftp://ftp2.caldera.com/pub/skunkware/osr5/vols/php4-4.1.2-VOLS.tar
    - Latest release of the server-side, cross-platform, HTML embedded
      scripting language PHP. Install the above Apache package first
      and the PHP installation will automatically configure Apache.
      This release of PHP is built as a dynamically loaded Apache
      module rather than a standalone CGI program.

Best,
Roberto
--
---------------------------------------------------------------------

Technical Support Manager -- Strhold Evolution Division  R.E. (ITALY)
---------------------------------------------------------------------
"Has anybody around here seen an aircraft carrier?"                
        (Pete "Maverick" Mitchell - Top Gun)

 
 
 

1. Compiling Apache 2.0.35 on SCO Openserver 5.0.5

I'm running SCO/Caldera OpenServer 5.0.5 with;

    gcc 3.04,  autoconf 2.53,  libtool 1.4.2,  automake 1.6.1

When I attempt to run ./configure for Apache 2.0.35 I get the following
error message under the 'Checking for Shared Memory Support...' section.

    Checking for Shared Memory Support...

    checking for sys/mman.h... yes
    checking for MAP_ANON in sys/mman.h... no
    checking for mmap... no
    checking for munmap... no
    checking for shm_open... no
    checking for shm_unlink... no
    checking for /dev/zero... yes
    checking for sys/ipc.h... yes
    checking for sys/shm.h... yes
    checking for sys/file.h... yes
    checking for shmget... no
    checking for shmat... no
    checking for shmdt... no
    checking for shmctl... no
    checking for kernel/OS.h... no
    checking for create_area... no
    checking for os2.h... no
    /src/httpd-2.0.35/srclib/apr/configure:Error: decision on anonymous
shared memory allocation method failed
    configure failed for srclib/apr

All I'm entering is './configure --prefix=/usr/local/apache'

Does anyone know what causes this or how to get it to work ? I don't know
enough about C to be able to look at this properly.

Apache 1.3.24 compiles fine using the same system with
'./configure --prefix=/usr/local/apache-1.3.24'. I've also compiled Samba
2.2.3a fine so I don't think its my set-up, but I could be wrong.

Many thanks for any insight you can give me about this problem.

David McCormack

2. NCR 53c810 SCSI, resets and hangs I/O

3. Unable to find libtinfo.so.5

4. question about a loop

5. libtinfo.so.5

6. Postscript viewer for AIX?

7. libtinfo.so.5 help

8. Tektronix Phaser mode shift HPGL -> PS

9. License problem in upgrade SCO 3.2 to SCO Openserver 5

10. Apache 1.3.0 on SCO OpenServer

11. Apache 1.3.20 make error on SCO 5.0.6 Openserver box

12. Apache 1.3.1 and SCO OpenServer 5

13. compiling dos programs under sco openserver 5